Subject: bug#13151: 24.2; tramp with ido: enters self-killing loop when opening /ftp: and hitting enter.

From: Arne Babenhauserheide <[email-masked]>
Date: Thu, 13 Dec 2012 20:42:29 +0100

Am Donnerstag, 13. Dezember 2012, 17:29:37 schrieb Michael Albinus:
> Arne Babenhauserheide <[email-masked]> writes:
> > Can’t tramp find out itself, that it is confused?
> 
> Not so easy. There could be good reasons not to connect: timeouts,
> connection interrupts, whatever. Sometimes it is better to let Tramp
> resynchronize.
> 
> For example, there's an ongoing work to integrate mosh into Tramp. This
> would allow to reconnect automatically, even if your laptop has been
> offline for a while, and you have moved from work to home.

That sounds pretty awesome!

> > I can now clean it, but every new user will be pretty confused…
> 
> I know :-( But I have no better recipe.

I think I just found one:

The error I got was:

\ Opening connection for arne@ftp using ssh
Tramp: Opening connection for arne@ftp using ssh...done
byte-code: Process died

Is it possible to adapt that error message so it states:

\ Opening connection for arne@ftp using ssh
Tramp: Opening connection for arne@ftp using ssh...done
byte-code: Process died. If this happens repeatedly, try 

    `M-x tramp-cleanup-this-connection`

That would allow newbies to get out of the loop without killing the buffer.

> Could we agree to close this bug?

I think as long as tramp in the buffer still blocks writes and the user does 
not get told how he can exit the block, the bug still persists and closing it 
would just close the eyes against an existing problem (or worse: look like it 
was fixed without providing a solution).

But if the error could just tell the user how to fix the condition, that would 
suffice for closing the bug, I think: The error condition would no longer 
require new users to kill the buffer.

Does that sound like a reasonable approach to you?

Best wishes,
Arne
-- 
1w6 sie zu achten,
sie alle zu finden,
in Spiele zu leiten
und sacht zu verbinden.
→ http://1w6.org